import java.io.*; // giris çikis  
class ifyapisi  
{ 
     public static void main (String args[]) throws IOException 
     { 
     double not; 
     //  
     Text cin=new Text(); 
     not=cin.readDouble(); 
        if( not ==90) 
           { System.out.println("A"); } 
        else if(not ==75) 
           { System.out.println("B"); } 
        else if(not ==60) 
           { System.out.println("C"); } 
        else if(not ==50) 
           { System.out.println("D"); } 
        else if(not ==40) 
           { System.out.println("E"); } 
        else  
           { System.out.println("F"); } 
     } 
}
